{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "8109ed55-2f25-4467-a122-425bc46487b3",
   "metadata": {},
   "outputs": [],
   "source": [
    "using LinearAlgebra, Plots, IterativeSolvers"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "965b8333-7efd-4d9a-a348-c44cdca2d831",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/latex": [
       "$e^{x} \\sin{\\left(y \\right)}$"
      ],
      "text/plain": [
       " x       \n",
       "ℯ ⋅sin(y)"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/latex": [
       "$e^{x} \\cos{\\left(y \\right)}$"
      ],
      "text/plain": [
       " x       \n",
       "ℯ ⋅cos(y)"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "using SymPy\n",
    "@vars x y\n",
    "\n",
    "f(x, y) = ℯ^x * sin(y)\n",
    "\n",
    "diff(f(x, y), x) |> display\n",
    "diff(f(x, y), y) |> display"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "2e8f8674-1e48-4903-8240-cfcbf01329b5",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Julia 1.9.3",
   "language": "julia",
   "name": "julia-1.9"
  },
  "language_info": {
   "file_extension": ".jl",
   "mimetype": "application/julia",
   "name": "julia",
   "version": "1.9.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
